Macro Align Face Object to View

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro Align Face Object to View and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano

Macro Align Face Object to View.png Macro Align Face Object to View

Description
Cette macro dirige la face sélectionnée de l'objet face à la vue active.

Version macro : 0.1
Date dernière modification : 2015-01-16
Version FreeCAD : Toutes
Téléchargement : ToolBar Icon
Auteur
Mario52
Téléchargement
ToolBar Icon
Liens
Version Macro
0.1
Dernière modification
2015-01-16
Version(s) FreeCAD
Toutes
Raccourci clavier
None
Voir aussi
FCCamera Macro_FCCamera


Description

Cette macro dirige la face de l'objet face à la vue active (caméra). Dans le cas d'une face d'un forage le forage fait face à l'écran.

Utilisation

  • Sélectionnez une face de votre objet et lancez la macro
  • Votre sélection fait face à l'écran

Script

ToolBar Icon Macro Align Face Object to View.png

Macro_Align_Face_Object_to_View.FCMacro

# This macro directs the face of the object on the side of the ActiveView (camera)
# extact FCCamera
# 16/01/2015

__title__="Macro_Align_Face_Object_to_View"
__author__ = "Mario52"

import pivy
from pivy import coin

try:
    v=Gui.Selection.getSelectionEx()[0].SubObjects[0].Surface.Axis    # to Axis
#    v = Gui.Selection.getSelectionEx()[0].SubObjects[0].normalAt(0,0) # normalAt
    r=App.Rotation(App.Vector(0,0,1),v)
    Gui.ActiveDocument.ActiveView.setCameraOrientation(r.Q)
except Exception:
    App.Console.PrintError("Select a face and run the macro"+"\n")

Links

Original macro by wmayer Looking for some helpful GUI-commands